Subject: bug#3888 closed by Eli Zaretskii <[email-masked]> (Re: bug#3888: Some variables get the wrong, platform-specific, documentation)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 24 Jul 2009 16:40:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3888: Some variables get the wrong, platform-specific, documentation

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
3888: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3888
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3888: Some variables get the wrong, platform-specific, documentation
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 24 Jul 2009 19:35:35 +0300

> Date: Tue, 21 Jul 2009 21:59:52 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Chong Yidong <[email-masked]>
> > Cc: Glenn Morris <[email-masked]>, [email-masked]
> > Date: Mon, 20 Jul 2009 17:33:28 -0400
> > 
> > As a work-around, I changed the affected doc-strings so that the
> > different versions all say the same thing.  Eli, could you check if this
> > works OK on Windows?
> 
> It works on Windows, thanks.
> 
> However:
> 
>  . the doc string of x-select-enable-clipboard:
> 
>      (defcustom x-select-enable-clipboard t
>        "Non-nil means cutting and pasting uses the clipboard.
>     -This is in addition to the primary selection."
>     +This is in addition to, but in preference to, the primary selection."
> 
>    should IMO say that on Windows this is the default, and perhaps
>    also that primary selection is not accessible to other programs
>    there.
> 
>  . the doc string of x-colors:
> 
>      (defvar x-colors (mapcar 'car msdos-color-values)
>     -  "The list of colors available on a PC display under MS-DOS.")
>     +  "List of available colors for graphical frames.
>     +For X, the list comes from the `rgb.txt' file,v 10.41 94/02/20.
>     +For Nextstep, this is a list of non-PANTONE colors returned by
>     +the operating system.")
> 
>    incorrectly says that these are colors for graphical frames, which
>    the MS-DOS display isn't.
> 
>  . you didn't add doc strings to x-set-selection and x-get-selection
>    on w32-fns.el -- was that on purpose?

I fixed all these problems on the branch now.

Subject: Some variables get the wrong, platform-specific, documentation
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 20 Jul 2009 14:21:00 -0400

In GNU Emacs 23.0.96.1 on GNU/Linux:

emacs -Q
C-h v x-select-enable-clipboard

    x-select-enable-clipboard is a variable defined in `x-win.el'.
    Its value is nil

    Documentation:
    Non-nil means cutting and pasting uses the clipboard.
    This is the default on this system, since MS-Windows does not
    support other types of selections.

I guess this is because term/pc-win.elc is now in SOME_MACHINE_LISP in
src/Makefile.in. (It was not there in Emacs 22.)

Similarly, from ns-win.el, we get the following in GNU/Linux under X:

    x-display-name:
    The name of the Nextstep display on which Emacs was started.

    x-setup-function-keys:
    Set up function Keys for Nextstep for frame FRAME.

    x-select-text:
    Put TEXT, a string, on the pasteboard.

    x-colors:
    The list of colors defined in non-PANTONE color files.

    xw-defined-colors:
    Return a list of colors supported for a particular frame.
    The argument FRAME specifies which frame to try.
    The value may be different for frames on different Nextstep displays.